import { parseReceivePush } from '@/services/socket/quota/adapter/index';
import eventBus from '@/utils/eventBus';

/**
 * 全局通知事件
 */
export const notice = (logout: Function) => {
    // 注册账户离线通知;
    eventBus.$on('custOfflineNtf', (msg) => {
        logout(msg);
    });
    // 注册用户登出应答;
    eventBus.$on('userLogout', (msg) => {
        logout(msg);
    });
    // 注册实时行情推送通知; => 实时行情推送
    eventBus.$on('quoteReceiveNtf', (msg) => {
        if (msg) {
            // console.warn(msg);
            parseReceivePush(msg);
        }
    });
};
